# Uses of Class
org.eclipse.ui.part.MultiPageEditorPart

Packages that use MultiPageEditorPart
Package
Description
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of MultiPageEditorPart in org.eclipse.ui.forms.editor

Subclasses of MultiPageEditorPart in org.eclipse.ui.forms.editor
Modifier and Type
Class
Description
`class`
`FormEditor`
This class forms a base of multi-page form editors that typically use one or more pages with forms and one page for raw source of the editor input.
`class`
`SharedHeaderFormEditor`
A variation of `FormEditor`, this editor has a stable header that does not change when pages are switched.

## Uses of MultiPageEditorPart in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return MultiPageEditorPart
Modifier and Type
Method
Description
`MultiPageEditorPart`
MultiPageEditorSite.`getMultiPageEditor()`
Returns the multi-page editor.
`MultiPageEditorPart`
MultiPageSelectionProvider.`getMultiPageEditor()`
Returns the multi-page editor.
Constructors in org.eclipse.ui.part with parameters of type MultiPageEditorPart
Modifier
Constructor
Description
``
`MultiPageEditorSite(MultiPageEditorPart multiPageEditor, IEditorPart editor)`
Creates a site for the given editor nested within the given multi-page editor.
``
`MultiPageSelectionProvider(MultiPageEditorPart multiPageEditor)`
Creates a selection provider for the given multi-page editor.